clang-tools 10.0.0

Functions
run-find-all-symbols Namespace Reference

## Functions
def | find_compilation_database (path)
def | MergeSymbols (directory, args)
def | run_find_all_symbols (args, tmpdir, build_path, queue)
def | main ()

## Function Documentation

## ◆ find_compilation_database()

def run-find-all-symbols.find_compilation_database | ( |  | path | ) |

    Adjusts the directory until a compilation database is found.

Definition at line 37 of file run-find-all-symbols.py.

Referenced by main().

## ◆ main()

def run-find-all-symbols.main | ( |  | ) |

Definition at line 65 of file run-find-all-symbols.py.

References find_compilation_database(), and MergeSymbols().

## ◆ MergeSymbols()

def run-find-all-symbols.MergeSymbols | ( |  | directory,
|  |  | args
| ) |  |

    Merge all symbol files (yaml) in a given directaory into a single file.

Definition at line 48 of file run-find-all-symbols.py.

Referenced by main().

## ◆ run_find_all_symbols()

def run-find-all-symbols.run_find_all_symbols | ( |  | args,
|  |  | tmpdir,
|  |  | build_path,
|  |  | queue
| ) |  |

    Takes filenames out of queue and runs find-all-symbols on them.

Definition at line 55 of file run-find-all-symbols.py.

References clang::tidy::cppcoreguidelines.join().